Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_STDlev.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_STDlev.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_STDlev.h	(revision 5099)
@@ -1,16 +1,16 @@
-!
+
 ! $Header$
-!
+
 !IM on initialise les variables 
-!
+
 !       missing_val=nf90_fill_real
-!
+
        IF (.not. ok_all_xml) then
         CALL ini_undefSTD(itap,itapm1)
        ENDIF
-!
+
 !IM on interpole les champs sur les niveaux STD de pression 
 !IM a chaque pas de temps de la physique
-!
+
 !-------------------------------------------------------c
 ! positionnement de l'argument logique a .false.        c
@@ -21,5 +21,5 @@
 ! dans plevel_new, d'ou la creation de cette routine... c
 !-------------------------------------------------------c
-!
+
         CALL plevel_new(klon,klev,nlevSTD,.true.,pplay,rlevSTD, &
                     t_seri,tlevSTD)
@@ -28,7 +28,5 @@
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    v_seri,vlevSTD)
-!
-
-!
+
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    zphi/RG,philevSTD)
@@ -37,5 +35,5 @@
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    zx_rh*100.,rhlevSTD)
-!
+
         DO l=1, klev
          DO i=1, klon
@@ -45,5 +43,5 @@
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    zx_tmp_fi3d,uvSTD)
-!
+
         DO l=1, klev
          DO i=1, klon
@@ -53,5 +51,5 @@
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    zx_tmp_fi3d,vqSTD)
-!
+
         DO l=1, klev
          DO i=1, klon
@@ -61,5 +59,5 @@
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    zx_tmp_fi3d,vTSTD)
-!
+
         DO l=1, klev
          DO i=1, klon
@@ -69,5 +67,5 @@
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    zx_tmp_fi3d,wqSTD)
-!
+
         DO l=1, klev
          DO i=1, klon
@@ -77,5 +75,5 @@
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    zx_tmp_fi3d,vphiSTD)
-!
+
         DO l=1, klev
          DO i=1, klon
@@ -85,5 +83,5 @@
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    zx_tmp_fi3d,wTSTD)
-!
+
         DO l=1, klev
          DO i=1, klon
@@ -93,5 +91,5 @@
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    zx_tmp_fi3d,u2STD)
-!
+
         DO l=1, klev
          DO i=1, klon
@@ -101,5 +99,5 @@
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    zx_tmp_fi3d,v2STD)
-!
+
         DO l=1, klev
          DO i=1, klon
@@ -110,9 +108,8 @@
                    zx_tmp_fi3d,T2STD)
 
-!
       zx_tmp_fi3d(:,:)=wo(:,:,1) * dobson_u * 1e3 / zmasse / rmo3 * rmd
         CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
                    zx_tmp_fi3d,O3STD)
-!
+
       if (read_climoz == 2) THEN
       zx_tmp_fi3d(:,:)=wo(:,:,2) * dobson_u * 1e3 / zmasse / rmo3 * rmd
@@ -120,5 +117,5 @@
                    zx_tmp_fi3d,O3daySTD)
       endif
-!
+
         DO l=1, klev
         DO i=1, klon
@@ -128,18 +125,18 @@
         CALL plevel_new(klon,klev,nlevSTD,.true.,zx_tmp_fi3d,rlevSTD, &
                    omega,wlevSTD)
-!
+
 !IM on somme les valeurs toutes les freq_calNMC secondes
 !IM on moyenne a la fin du mois, du jour ou toutes les 6h
-!
+
        IF (.not. ok_all_xml) then
         CALL undefSTD(itap, read_climoz)
         CALL moy_undefSTD(itap,itapm1)
        ENDIF
-!
+
        CALL plevel(klon,klev,.true.,pplay,50000., &
                     zphi/RG,geo500)
 
 !IM on interpole a chaque pas de temps le SWup(clr) et SWdn(clr) a 200 hPa
-!
+
       CALL plevel(klon,klevp1,.true.,paprs,20000., &
            swdn0,SWdn200clr)
@@ -150,5 +147,5 @@
       CALL plevel(klon,klevp1,.false.,paprs,20000., &
            swup,SWup200)
-!
+
       CALL plevel(klon,klevp1,.false.,paprs,20000., &
            lwdn0,LWdn200clr)
@@ -159,5 +156,5 @@
       CALL plevel(klon,klevp1,.false.,paprs,20000., &
            lwup,LWup200)
-!
+
       twriteSTD(:,:,1)=tsumSTD(:,:,1)
       qwriteSTD(:,:,1)=qsumSTD(:,:,1)
@@ -191,5 +188,5 @@
       vwriteSTD(:,:,4)=vlevSTD(:,:)
       wwriteSTD(:,:,4)=wlevSTD(:,:)
-!
+
 !IM initialisation 5eme fichier de sortie 
       twriteSTD(:,:,5)=tlevSTD(:,:)
@@ -200,5 +197,5 @@
       vwriteSTD(:,:,5)=vlevSTD(:,:)
       wwriteSTD(:,:,5)=wlevSTD(:,:)
-!
+
 !IM initialisation 6eme fichier de sortie 
       twriteSTD(:,:,6)=tlevSTD(:,:)
@@ -223,5 +220,5 @@
        ENDDO 
       ENDDO 
-!
+
       DO n=1, nlevSTD8
        DO k=1, nlevSTD
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_divers.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_divers.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_divers.h	(revision 5099)
@@ -1,18 +1,18 @@
-!
+
 ! $Id$
-!
+
 ! itap : nombre de pas de temps de la physique
 ! itapm1 : somme du nombre de pas de temps du/des mois precedent/s.
 ! (itap - itapm1) : nombre de pas de temps du mois courant
-!
+
 ! Ne pas modifier les IFs ci-dessous impliquant itapm1,
 ! autrement les resultats seront faux !!
-!
+
 ! Ici on utilise MOD(itap - itapm1,NINT(mth_len*un_jour/phys_tstep)).EQ.1)
 ! pour detecter le debut de chaque mois lorsque  l on tourne par an.
-!
+
 ! IM, 26.05.2023
-!
-!
+
+
 ! Initialisations itapm1 du premier mois
       IF(itap.EQ.1) THEN
@@ -21,5 +21,4 @@
       ENDIF
 
-!
 ! Initialisation debut de mois
       IF(itap.EQ.itapm1+1) THEN
@@ -27,5 +26,5 @@
 !        print*,'Initialisation ndayrain_mth ',itap
       ENDIF
-!
+
 ! Initialisation debut de chaque jour
       IF(MOD(itap,NINT(un_jour/phys_tstep)).EQ.1) THEN
@@ -33,5 +32,5 @@
 !       print*,'initialisation mois suivants day_rain itap',itap
       ENDIF
-!
+
 ! Calcul a chaque pas de temps de la physique
          DO i = 1, klon
@@ -39,5 +38,5 @@
             IF(total_rain(i).GT.0.) nday_rain(i)=1.
          ENDDO
-!
+
 ! Cumul en fin de journee
       IF(MOD(itap,NINT(un_jour/phys_tstep)).EQ.0) THEN
@@ -46,5 +45,5 @@
          ENDDO
       ENDIF
-!
+
 ! Initialisation fin de mois
 ! Ne pas changer le IF ci-dessous, car le compteur itapm1 est augmente
@@ -55,7 +54,7 @@
 !       print*,'fmois i i1 mjt',itap,itapm1,mth_len,un_jour,phys_tstep
       ENDIF
-!
+
 ! calcul temperatures minimale et maximale moyennees sur le mois 
-!
+
 !initialisation debut de mois pour les fichiers mensuels annuels
   IF(itap.EQ.itapm1+1) THEN
@@ -63,5 +62,5 @@
      t2m_max_mon=0.
   ENDIF
-!
+
 !initialisation debut de journee pour les fichiers mensuels annuels
   IF(MOD(itap,NINT(un_jour/phys_tstep)).EQ.1) THEN
@@ -69,5 +68,5 @@
      zt2m_max_mon=zt2m
   ENDIF
-!
+
 !calcul sur tous les pas de temps pour les fichiers mensuels annuels
      DO i = 1, klon
@@ -75,5 +74,5 @@
         zt2m_max_mon(i)=MAX(zt2m(i),zt2m_max_mon(i))
      ENDDO
-!
+
 !fin journee
   IF(MOD(itap,NINT(un_jour/phys_tstep)).EQ.0) THEN
@@ -81,5 +80,5 @@
    t2m_max_mon=t2m_max_mon+zt2m_max_mon 
   ENDIF
-!
+
 !fin mois
   IF(itap==itapm1) THEN
@@ -87,3 +86,2 @@
    t2m_max_mon=t2m_max_mon/mth_len
   ENDIF
-!
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE calcul_fluxs_mod
 
@@ -24,7 +24,7 @@
 ! Cette routine calcule les fluxs en h et q a l'interface et eventuellement
 ! une temperature de surface (au cas ou ok_veget = false)
-!
+
 ! L. Fairhead 4/2000
-!
+
 ! input:
 !   knon         nombre de points a traiter
@@ -47,5 +47,5 @@
 !   radsol       rayonnement net aus sol (LW + SW)
 !   dif_grnd     coeff. diffusion vers le sol profond
-!
+
 ! output:
 !   tsurf_new    temperature au sol
@@ -121,5 +121,5 @@
 ! Traitement neige et humidite du sol
 !****************************************************************************************
-!
+
 !!$  WRITE(*,*)'test calcul_flux, surface ', nisurf
 !!PB test
@@ -135,6 +135,4 @@
 !!$    IF (nisurf /= is_ter) qsol = max_eau_sol
 
-
-! 
 ! Initialisation
 !****************************************************************************************
@@ -146,5 +144,5 @@
     if (PRESENT(lat_prec_liq)) lat_prec_liq = 0.
     if (PRESENT(lat_prec_sol)) lat_prec_sol = 0.
-!
+
 ! zx_qs = qsat en kg/kg
 !****************************************************************************************
@@ -219,7 +217,6 @@
             + dtime * dif_grnd(i))
 
-!
 ! Y'a-t-il fonte de neige?
-!
+
 !    fonte_neige = (nisurf /= is_oce) .AND. &
 !     & (snow(i) > epsfra .OR. nisurf == is_sic .OR. nisurf == is_lic) &
@@ -244,7 +241,7 @@
        q1_new = peqAcoef(i) - peqBcoef(i)*evap(i)*dtime
        qsurf(i)=q1_new*(1.-beta(i)) + beta(i)*qsat_new
-!
+
 ! en cas de fonte de neige
-!
+
 !    if (fonte_neige) then
 !      bilan_f = radsol(i) + fluxsens(i) - (zx_sl(i) * evap (i)) - &
@@ -259,5 +256,5 @@
 !!$     &  run_off(i) = run_off(i) + max(qsol(i) - max_eau_sol, 0.0)
 !!$    qsol(i) = min(qsol(i), max_eau_sol) 
-!
+
 ! calcul de l'enthalpie des precipitations liquides et solides
        if (PRESENT(sens_prec_liq)) sens_prec_liq(i) &
@@ -277,9 +274,9 @@
     
 !**************************************************************************
-!
+
   END SUBROUTINE calcul_fluxs
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE calcul_flux_wind(knon, dtime, &
        u0, v0, u1, v1, gustiness, cdrag_m, &
@@ -314,5 +311,5 @@
 !****************************************************************************************
 ! Calculate the surface flux
-!
+
 !****************************************************************************************
     DO i=1,knon
@@ -324,6 +321,6 @@
 
   END SUBROUTINE calcul_flux_wind
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
 END MODULE calcul_fluxs_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
       subroutine calltherm(dtime  &
         ,pplay,paprs,pphi,weak_inversion  &
@@ -138,5 +138,5 @@
       REAL d_t_the(klon,klev), d_q_the(klon,klev)
       REAL d_u_the(klon,klev),d_v_the(klon,klev)
-!
+
       real zfm_therm(klon,klev+1),zdt
       real zentr_therm(klon,klev),zdetr_therm(klon,klev)
@@ -475,5 +475,4 @@
          enddo ! isplit
 
-!
 !***************************************************************
 !     calcul du flux ascencant conservatif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calwake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calwake.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calwake.F90	(revision 5099)
@@ -153,5 +153,4 @@
 d_wdens(:) = 0.
 d_awdens(:) = 0.
-!
 
   DO i = 1, klon
@@ -170,5 +169,5 @@
     hw(i) = wake_h(i)
   END DO
-!
+
 !    Make a copy of state variables
   DO l = 1, klev
@@ -224,5 +223,4 @@
     d_deltatw, d_deltaqw, d_sigmaw, d_asigmaw, d_wdens, d_awdens)      ! tendencies
 
-!
   DO l = 1, klev
     DO i = 1, klon
@@ -293,5 +291,4 @@
     END IF
   END DO
-!
 
 !jyg<  
@@ -316,5 +313,5 @@
     END DO
   ENDIF  ! (iflag_wake_tend .EQ. 0)
-!
+
   IF (first) THEN
     DO i = 1,klon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5099)
@@ -3,5 +3,5 @@
 !   Authors: Patricia Cadule and Laurent Fairhead
 !            base sur un travail anterieur mene par Patricia Cadule et Josefine Ghattas
-!
+
 !  Purpose and description:
 !  -----------------------
@@ -9,11 +9,11 @@
 !   - Initialisation of carbon cycle fields
 !   - Definition of fluxes to be exchanged
-!
+
 ! Rest of code is in tracco2i.F90
-!
+
 ! Le cas online/offline est defini par le flag carbon_cycle_cpl (y/n)
 ! Le transport du traceur CO2 est defini par le flag carbon_cycle_tr (y/n)
 ! la provenance des champs (termes de puits) est denini par le flag level_coupling_esm
-!
+
 ! level_coupling_esm : level of coupling of the biogeochemical fields between
 ! LMDZ, ORCHIDEE and NEMO
@@ -285,11 +285,11 @@
 
 !=======================================================================
-!
+
 !   Authors: Patricia Cadule and Laurent Fairhead  
 !   -------
-!
+
 !  Purpose and description:
 !  -----------------------
-!
+
 ! Infofields
 ! this routine enables to define the field exchanges in both directions between
@@ -307,5 +307,5 @@
 ! nb_fields_in : number of inputs fields to ORCHIDEE (LMDZ to ORCHIDEE)
 ! nb_fields_out : number of ouput fields of ORCHIDEE (ORCHIDEE to LMDZ)
-!
+
 ! The syntax for coupling_fields.def is as follows:
 ! IMPORTANT: each column entry must be separated from the previous one by 3
@@ -314,5 +314,5 @@
 !                    direction
 !   10char  -3spaces-  3char  -3spaces- 4char -3spaces- 4char -3spaces-  30char 
-!
+
 ! n
 ! FIELD1 IN LMDZ ORC
@@ -322,5 +322,5 @@
 ! ...
 ! FIELDn OUT LMDZ ORC   
-! 
+
 !=======================================================================
 !   ... 22/12/2017 ....
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90	(revision 5099)
@@ -1,19 +1,19 @@
-!
+
 !$Id$
-!
-!
+
+
 MODULE cdrag_mod
-!
+
 ! This module contains some procedures for calculation of the cdrag
 ! coefficients for turbulent diffusion at surface
-!
+
   IMPLICIT NONE
 
 CONTAINS
-!
+
 !****************************************************************************************
-!
+
 !r original routine svn3623
-!
+
  SUBROUTINE cdrag(knon,  nsrf,   &
      speed, t1,    q1,    zgeop1, &
@@ -32,5 +32,5 @@
   IMPLICIT NONE
 ! ================================================================= c
-!
+
 ! Objet : calcul des cdrags pour le moment (pcfm) et 
 !         les flux de chaleur sensible et latente (pcfh) d'apr??s
@@ -38,9 +38,9 @@
 !         ou Zilitinkevich et al 2002  pour les cas stables, Louis 1979
 !         et 1982 pour les cas instables 
-!
+
 ! Modified history: 
 !  writting on the 20/05/2016
 !  modified on the 13/12/2016 to be adapted to LMDZ6
-!
+
 ! References:
 !   Louis, J. F., 1979: A parametric model of vertical eddy fluxes in the
@@ -62,15 +62,15 @@
 !   to surface and boundary-layer flux parametrizations
 !   QJRMS, 127, pp 779-794
-!
+
 ! ================================================================= c
 ! ================================================================= c
 ! On choisit le couple de fonctions de correction avec deux flags:
 ! Un pour les cas instables, un autre pour les cas stables
-!
+
 ! iflag_corr_insta:
 !                   1: Louis 1979 avec les modifications de Mascart 1995 (z0/= z0h)
 !                   2: Louis 1982 
 !                   3: Laurent Li
-!
+
 ! iflag_corr_sta:
 !                   1: Louis 1979 avec les modifications de Mascart 1995 (z0/= z0h)
@@ -79,6 +79,6 @@
 !                   4: King  2001 (SHARP)
 !                   5: MO 1st order theory (allow collapse of turbulence)
-!            
-!
+
+
 !*****************************************************************
 ! Parametres d'entree
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90	(revision 5099)
@@ -52,8 +52,8 @@
   DO np=1, npCFMIP
   DO i=1, nbp_lon
-!
+
 ! PRINT*,'IM np i lonCF lonGCM lonGCM+1',np,i,lonCFMIP(np),lon(i), &
 !  lon(i+1)
-!
+
    IF(lonCFMIP(np)>=lon(i).AND.lonCFMIP(np)<lon(i+1)) THEN
     dlon1 = abs (lonCFMIP(np) - lon(i))
@@ -67,5 +67,5 @@
   END DO
   END DO
-!
+
    np=1
 30 j=1
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/change_srf_frac_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/change_srf_frac_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/change_srf_frac_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE change_srf_frac_mod
 
@@ -7,5 +7,5 @@
 
 CONTAINS
-! 
+
 ! Change Surface Fractions
 ! Author J Ghattas 2008
@@ -14,8 +14,5 @@
         pctsrf, evap, z0m, z0h, agesno,              &
         alb_dir, alb_dif, tsurf, ustar, u10m, v10m, pbl_tke)
-   
 
-
-!
 ! This subroutine is called from physiq.F at each timestep. 
 ! 1- For each type of ocean (force, slab, couple) receive new fractions only if
@@ -24,5 +21,4 @@
 ! 2- Tests and ajustements are done on the fractions 
 ! 3- Initialize variables where a new fraction(new or melted ice) has appered, 
-!
 
     USE dimphy 
@@ -105,5 +101,5 @@
 ! - Put to zero fractions that are too small
 ! - Test total fraction sum is one for each grid point
-!
+
 !****************************************************************************************
     IF (is_modified) THEN
@@ -176,5 +172,5 @@
 ! i.e. where new sea ice has been formed
 ! or where ice free ocean has appread in a grid cell
-! 
+
 !****************************************************************************************
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/chem.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/chem.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/chem.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       INTEGER idms, iso2, iso4, ih2s, idmso, imsa, ih2o2
       PARAMETER (idms=1, iso2=2, iso4=3)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/chemistry_cycle_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/chemistry_cycle_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/chemistry_cycle_mod.F90	(revision 5099)
@@ -3,10 +3,10 @@
 !=======================================================================
 !   Authors: Anne Cozic and Thibaut Lurton
-!
+
 !  Purpose and description:
 !  -----------------------
 ! Control module for the chemistry  tracers :
 !   - Definition of fluxes to be exchanged with Pisces and Inca 
-!
+
 !=======================================================================
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
       SUBROUTINE clc_core_cp(du, dt, dq, t1, q1, &
      				zu, zt, zq, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/clcdrag.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/clcdrag.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/clcdrag.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 !$Id$
-!
+
 SUBROUTINE clcdrag(knon, nsrf, paprs, pplay,&
      u1, v1, t1, q1, &
@@ -12,10 +12,10 @@
   IMPLICIT NONE
 ! ================================================================= c
-!
+
 ! Objet : calcul des cdrags pour le moment (pcfm) et 
 !         les flux de chaleur sensible et latente (pcfh).   
-!
+
 ! ================================================================= c
-!
+
 ! knon----input-I- nombre de points pour un type de surface
 ! nsrf----input-I- indice pour le type de surface; voir indice_sol_mod.F90
@@ -27,8 +27,8 @@
 ! qsurf---input-R- humidite de l'air a la surface
 ! rugos---input-R- rugosite
-!
+
 ! pcfm---output-R- cdrag pour le moment 
 ! pcfh---output-R- cdrag pour les flux de chaleur latente et sensible
-!
+
   INTEGER, INTENT(IN)                      :: knon, nsrf
   REAL, DIMENSION(klon,klev+1), INTENT(IN) :: paprs
@@ -38,15 +38,15 @@
   REAL, DIMENSION(klon), INTENT(IN)        :: rugos
   REAL, DIMENSION(klon), INTENT(OUT)       :: pcfm, pcfh
-!
+
 ! ================================================================= c
-!
+
   INCLUDE "YOMCST.h"
   INCLUDE "YOETHF.h"
   INCLUDE "clesphys.h"
-!
+
 ! Quelques constantes et options:
 !!$PB      REAL, PARAMETER :: ckap=0.35, cb=5.0, cc=5.0, cd=5.0, cepdu2=(0.1)**2
   REAL, PARAMETER :: ckap=0.40, cb=5.0, cc=5.0, cd=5.0, cepdu2=(0.1)**2
-!
+
 ! Variables locales :
   INTEGER               :: i
@@ -65,6 +65,4 @@
   CHARACTER (LEN=20) :: modname = 'clcdrag'
 
-
-!
 ! Fonctions thermodynamiques et fonctions d'instabilite
   REAL                  :: fsta, fins, x
@@ -78,7 +76,7 @@
 
 ! ================================================================= c
-!
+
 ! Calculer le geopotentiel du premier couche de modele
-!
+
   DO i = 1, knon
      zgeop1(i) = RD * t1(i) / (0.5*(paprs(i,1)+pplay(i,1))) &
@@ -86,7 +84,7 @@
   END DO
 ! ================================================================= c
-!
+
 ! Calculer le frottement au sol (Cdrag)
-!
+
   DO i = 1, knon
      zdu2 = MAX(cepdu2,u1(i)**2+v1(i)**2)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/clesphys.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/clesphys.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/clesphys.h	(revision 5099)
@@ -1,9 +1,9 @@
 ! $Id$
-!
+
 !  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
 !                 veillez \`a n'utiliser que des ! pour les commentaires
 !                 et \`a bien positionner les & des lignes de continuation 
 !                 (les placer en colonne 6 et en colonne 73)
-!
+
 !..include cles_phys.h
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/climb_hq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/climb_hq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/climb_hq_mod.F90	(revision 5099)
@@ -1,7 +1,7 @@
 MODULE climb_hq_mod
-!
+
 ! Module to solve the verctical diffusion of "q" and "H"; 
 ! specific humidity and potential energi.
-!
+
   USE dimphy
 
@@ -30,7 +30,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE climb_hq_down(knon, coefhq, paprs, pplay, &
        delp, temp, q, dtime, &
@@ -44,5 +44,5 @@
 ! for the quantity X=[Q,H] in equation X(k) = C(k) + D(k)*X(k-1), where k is
 ! the index of the vertical layer.
-!
+
 ! Input arguments
 !****************************************************************************************
@@ -90,5 +90,5 @@
 ! 1)
 ! Allocation at first time step only
-!   
+
 !****************************************************************************************
 
@@ -132,5 +132,5 @@
 ! 2)
 ! Definition of the coeficient K 
-!
+
 !****************************************************************************************
     Kcoefhq(:,:) = 0.0
@@ -146,5 +146,5 @@
 ! 3)
 ! Calculation of gama for "Q" and "H"
-!
+
 !****************************************************************************************
 !   surface pressure is used as reference
@@ -180,5 +180,5 @@
 ! 4)
 ! Calculte the coefficients C and D for specific humidity, q
-!
+
 !****************************************************************************************
     
@@ -189,5 +189,5 @@
 ! 5)
 ! Calculte the coefficients C and D for potentiel entalpie, H 
-!
+
 !****************************************************************************************
     h_old(:,:) = 0.0
@@ -207,5 +207,5 @@
 ! 6)
 ! Return the first layer in output variables
-!
+
 !****************************************************************************************
     Acoef_H_out = Acoef_H
@@ -217,5 +217,5 @@
 ! 7)
 ! If Pbl is split, return also the other layers in output variables
-!
+
 !****************************************************************************************
 !!! jyg le 07/02/2012
@@ -244,12 +244,12 @@
 
   END SUBROUTINE climb_hq_down
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE calc_coef(knon, Kcoef, gama, delp, X, Ccoef, Dcoef, Acoef, Bcoef)
-!
+
 ! Calculate the coefficients C and D in : X(k) = C(k) + D(k)*X(k-1)
 ! where X is H or Q, and k the vertical level k=1,klev
-!
+
     INCLUDE "YOMCST.h"
 ! Input arguments
@@ -272,5 +272,5 @@
 !****************************************************************************************
 ! Niveau au sommet, k=klev
-!
+
 !****************************************************************************************
     Ccoef(:,:) = 0.0
@@ -287,5 +287,5 @@
 !****************************************************************************************
 ! Niveau  (klev-1) <= k <= 2
-!
+
 !****************************************************************************************
 
@@ -301,5 +301,5 @@
 !****************************************************************************************
 ! Niveau k=1
-!
+
 !****************************************************************************************
 
@@ -311,7 +311,7 @@
 
   END SUBROUTINE calc_coef
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE climb_hq_up(knon, dtime, t_old, q_old, &
        flx_q1, flx_h1, paprs, pplay, &
@@ -322,5 +322,5 @@
 !!!
        flux_q, flux_h, d_q, d_t)
-! 
+
 ! This routine calculates the flux and tendency of the specific humidity q and 
 ! the potential engergi H. 
@@ -328,5 +328,4 @@
 ! X(k) = C(k) + D(k)*X(k-1) for X=[q,H], where the coefficients 
 ! C and D are known from before and k is index of the vertical layer.
-!   
 
 ! Input arguments
@@ -365,5 +364,5 @@
 ! Definition of some variables
     REAL, DIMENSION(klon,klev)               :: d_h, zairm
-!
+
 !****************************************************************************************
     flux_q(:,:) = 0.0
@@ -406,5 +405,5 @@
 ! 2)
 ! Calculation of Q and H
-!
+
 !****************************************************************************************
 
@@ -423,5 +422,5 @@
 ! 3)
 ! Calculation of the flux for Q and H
-!
+
 !****************************************************************************************
 
@@ -444,5 +443,5 @@
 ! 4)
 ! Calculation of tendency for Q and H
-!
+
 !****************************************************************************************
     d_h_col_vdf(:) = 0.0
@@ -461,5 +460,5 @@
 !****************************************************************************************
 ! Some deallocations
-!
+
 !****************************************************************************************
     IF (last) THEN
@@ -476,7 +475,7 @@
     END IF
   END SUBROUTINE climb_hq_up
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
 END MODULE climb_hq_mod
 
